
# Code and Data: Improvements to Pythagorean Win-loss Expectation

This is for people intending to replicate the results and build upon the work done in the paper "Applications of Improvements to the Pythagorean Win-Loss Expectation in Optimizing Rosters".

- The files named "xxxxComplete.csv" are CSVs containing the runs scored and runs allowed in every game of the season for each team.

- The files in the folder "obswins" are a list for each season of the number of wins each team actually got, where ties are counted as 0.5 wins

- The files in the folder "games" are a list for each season of the number of games each team played.

- The files in the folder "BoxPlot" are a list of the Mean Squared Errors that each method has for a given year.

- The file "General Data Churning 1994 to 2023.ipynb" is a Jupyter Notebook file that computes all the data seen. It is easy to use. Just change the value of the "year" variable in the first cell to that desired to be analysed. Then run every single cell (fast forward button in quick menu).

    This produces all the data and values used in the paper, such as predicted wins/win percentages for different methods, fitted alphas and gammas, Mean Squared Errors associated with each method, etc.

    These are in the form of list variables, where each entry corresponds to a team, ordered alphabetically as below:

    2012 to 2023 teams: ('ARI', 'ATL', 'BAL', 'BOS', 'CHC', 'CHW', 'CIN', 'CLE', 'COL', 'DET', 'HOU', 'KCR', 'LAA', 'LAD', 'MIA', 'MIL', 'MIN', 'NYM', 'NYY', 'OAK', 'PHI', 'PIT', 'SDP', 'SEA', 'SFG', 'STL', 'TBR', 'TEX', 'TOR', 'WSN')

    2008 to 2011 teams: ('ARI', 'ATL', 'BAL', 'BOS', 'CHC', 'CHW', 'CIN', 'CLE', 'COL', 'DET', 'FLA', 'HOU', 'KCR', 'LAA', 'LAD', 'MIL', 'MIN', 'NYM', 'NYY', 'OAK', 'PHI', 'PIT', 'SDP', 'SEA', 'SFG', 'STL', 'TBR', 'TEX', 'TOR', 'WSN')

    2005 to 2007 teams: ('ARI', 'ATL', 'BAL', 'BOS', 'CHC', 'CHW', 'CIN', 'CLE', 'COL', 'DET', 'FLA', 'HOU', 'KCR', 'LAA', 'LAD', 'MIL', 'MIN', 'NYM', 'NYY', 'OAK', 'PHI', 'PIT', 'SDP', 'SEA', 'SFG', 'STL', 'TBD', 'TEX', 'TOR', 'WSN')

    1998 to 2004 teams: ('ANA', 'ARI', 'ATL', 'BAL', 'BOS', 'CHC', 'CHW', 'CIN', 'CLE', 'COL', 'DET', 'FLA', 'HOU', 'KCR', 'LAD', 'MIL', 'MIN', 'MON', 'NYM', 'NYY', 'OAK', 'PHI', 'PIT', 'SDP', 'SEA', 'SFG', 'STL', 'TBD', 'TEX', 'TOR')

    1997 teams: ('ANA', 'ATL', 'BAL', 'BOS', 'CHC', 'CHW', 'CIN', 'CLE', 'COL', 'DET', 'FLA', 'HOU', 'KCR', 'LAD', 'MIL', 'MIN', 'MON', 'NYM', 'NYY', 'OAK', 'PHI', 'PIT', 'SDP', 'SEA', 'SFG', 'STL', 'TEX', 'TOR')

    1994 to 1996 teams: ('ATL', 'BAL', 'BOS', 'CAL', 'CHC', 'CHW', 'CIN', 'CLE', 'COL', 'DET', 'FLA', 'HOU', 'KCR', 'LAD', 'MIL', 'MIN', 'MON', 'NYM', 'NYY', 'OAK', 'PHI', 'PIT', 'SDP', 'SEA', 'SFG', 'STL', 'TEX', 'TOR')

- The file "BoxPlotMaker.ipynb" is a Jupyter Notebook file that produces the BoxPlot seen in the paper.

Thank you for reading and remember to cite my paper if you use this code. Email andrewkelvinyang@gmail.com if you have any questions.